Index: /extensions/gally/gally-default/language/ca_ES/theme.lang.php
===================================================================
--- /extensions/gally/gally-default/language/ca_ES/theme.lang.php	(revision 14543)
+++ /extensions/gally/gally-default/language/ca_ES/theme.lang.php	(revision 14543)
@@ -0,0 +1,74 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2012 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['gally_action_ko'] = 'L\'acció ha fallat.';
+$lang['gally_action_ok'] = 'L\'acció ha sigut realitzat correctament.';
+$lang['gally_alternate_banner_content'] = 'Contingut del Banner alternatiu:';
+$lang['gally_columns'] = 'Nombre de columnes';
+$lang['gally_defaultZoomSize_fit'] = 'Redimensionar imatge per a què s\'ajusti totalment a la pantalla';
+$lang['gally_defaultZoomSize_full'] = 'Mida actual (si la imatge no cap en la pantalla, és possible desplaçar-la horitzontal i verticalment)';
+$lang['gally_default_zoom_size_desc'] = 'Aquesta opció estableix el tipus de pantalla utilitzat per defecte quan s\'ha carregat una imatge d\'alta qualitat (HD)';
+$lang['gally_default_zoom_size'] = 'Mida de l\'ampliació per defecte';
+$lang['gally_displayHighResIcon_no'] = 'No mostrar la icona';
+$lang['gally_displayHighResIcon_yes'] = 'Mostrar icona';
+$lang['gally_display_banner_alternate'] = 'Visualitzar un Banner alternatiu';
+$lang['gally_display_banner_desc'] = 'Aquesta opció controla si el banner de la pàgina s\'ha de mostrar quan es visualitza una imatge';
+$lang['gally_display_banner_no'] = 'No mostrar Banner';
+$lang['gally_display_banner_yes'] = 'Mostrar Banner';
+$lang['gally_display_banner'] = 'Visualitzar Banner';
+$lang['gally_display_high_res_click_mode_desc'] = 'Aquesta opció controla com es comporta la interfície quan es fa clic sobre una imatge en alta qualitat';
+$lang['gally_display_high_res_click_mode'] = 'Acció associat a la imatge d\'alta qualitat';
+$lang['gally_display_high_res_icon_desc'] = 'Mostra una icona a la barra d\'eines si la imatge té una versió en alta qualitat';
+$lang['gally_display_high_res_icon'] = 'Establir icona a la barra d\'eines';
+$lang['gally_highResClickMode_close'] = 'Deixar de mostrar la imatge en alta resolució';
+$lang['gally_highResClickMode_zoom'] = 'Canviar el tipus d\'ampliació (Mida actual/Redimensionar)';
+$lang['gally_image_auto_scroll_desc'] = 'Aquesta opció defineix com gestionar la visualització d\'imatges panoràmiques';
+$lang['gally_image_auto_scroll_no'] = 'Desplaçament manual de la imatge';
+$lang['gally_image_auto_scroll_warning'] = 'Aquesta funció es desactiva automàticament quan la versió de MS Internet Explorer és anterior a la v8.';
+$lang['gally_image_auto_scroll_yes'] = 'Desplaçament automàtic de la imatge sota el cursor';
+$lang['gally_image_auto_scroll'] = 'Gestió d\'imatges panoràmiques';
+$lang['gally_image_interface_can_switch_desc'] = 'Aquesta opció determina si la interfície es mostra de forma contínua o si es pot amagar';
+$lang['gally_image_interface_can_switch_no'] = 'La interfície és sempre visible';
+$lang['gally_image_interface_can_switch_yes'] = 'La interfície és visible només sota les regles definides';
+$lang['gally_image_interface_can_switch'] = 'Visibilitat permanent de la interfície';
+$lang['gally_image_interface_hidden_desc'] = 'Aquesta opció controla si la interfície s\'hauria de mostrar quab es carrega la pàgina';
+$lang['gally_image_interface_hidden_no'] = 'La interfície és visible en la càrrega de la pàgina';
+$lang['gally_image_interface_hidden_yes'] = 'La interfície no és visible en la càrrega de la pàgina.  Ho será en el primer esdeveniment desencadenador.';
+$lang['gally_image_interface_hidden'] = 'Visualitzar a la pàgina de càrrega';
+$lang['gally_image_simulate_high_res'] = 'Simular alta qualitat per a imatges panoràmiques';
+$lang['gally_img_high_res_desc'] = 'Aquesta pàgina permet definir les propietats de la interfície d\'usuari al visualitzar una imatge en alta qualitat';
+$lang['gally_img_high_res'] = 'Imatge/Alta qualitat';
+$lang['gally_img_interface_desc'] = 'Aquesta pàgina permet definir les propietats de la interfície d\'usuari al visualitzar una imatge';
+$lang['gally_img_interface'] = 'Imatge/Interfície';
+$lang['gally_img_other_desc'] = 'Aquesta pàgina permet definir diverses propietats de la interfície d\'usuari al visualitzar una imatge';
+$lang['gally_img_other'] = 'Imatge/Altre';
+$lang['gally_interface_on_image_always'] = 'Sempre';
+$lang['gally_interface_on_image_desc'] = 'Mostrar l\'interfície al passar el ratolí per sobre la imatge';
+$lang['gally_interface_on_image_never'] = 'Mai';
+$lang['gally_interface_on_image_noscroll'] = 'Només si la imatge no és de pantalla ampla';
+$lang['gally_interface_on_image'] = 'Visualitzar al passar el ratoí per sobre';
+$lang['gally_interface_timer_delay_desc'] = 'Aquesta opció defineix el temps d\'inactivitat requerit abans que s\'oculti la interfície';
+$lang['gally_interface_timer_delay'] = 'Temps d\'espera';
+$lang['gally_meta_num_cols_desc'] = 'Aquesta opció estableix el nombre de columnes que s\'utilitzen per a la visualització de les metadades';
+$lang['gally_meta_num_cols'] = 'Veure la informació del dispositiu (metadades)';
+$lang['gally_save_local_conf'] = 'Desar ajustos';
+?>