Index: /trunk/language/ca_ES/help/group_list.html
===================================================================
--- /trunk/language/ca_ES/help/group_list.html	(revision 14579)
+++ /trunk/language/ca_ES/help/group_list.html	(revision 14579)
@@ -0,0 +1,21 @@
+<h2>LLista de grups</h2>
+
+<p>Administrar les propietats dels grups.</p>
+
+<h3>Afegir un grup</h3>
+
+<p>L'administrador pot afegir grups.</p>
+
+<h3>Llista de grups</h3>
+
+<p>La llista permet per a cada grup:</p>
+
+<ul>
+  <li>Accedir a la llista dels seus membres</li>
+  <li>Accedir als permisos</li>
+  <li>Suprimir el grup (es necessita confirmaci&oacute;)</li>
+  <li>Invertir l'estat "per defecte" (es necessita confirmaci&oacute;)</li>
+</ul>
+
+<h3>Grups predeterminats</h3>
+<p>Els grups predeterminats (o grups per defecte) s&oacute;n els grups associats a cada nou usuari de forma autom&agrave;tica en el moment de la seva inscripci&oacute; o si va ser inscri't per un administrador.</p>
Index: /trunk/language/ca_ES/help/thumbnail.html
===================================================================
--- /trunk/language/ca_ES/help/thumbnail.html	(revision 14579)
+++ /trunk/language/ca_ES/help/thumbnail.html	(revision 14579)
@@ -0,0 +1,23 @@
+<h2>Creaci&oacute; de miniaturas</h2>
+
+<p>Creaci&oacute; de miniatures que falten. L'&uacute;s d'aquesta caracter&iacute;stica no es recomana si la galeria es troba allotjat en un servidor compartit (recursos compartits de la m&agrave;quina).</p>
+
+<dl>
+
+  <dt>Versi&oacute; de GD</dt>
+
+  <dd>GD &eacute;s una llibreria gr&agrave;fica per a la manipulaci&oacute; d'imatges per a PHP. Selecciona la versi&oacute; instal&middot;lada en el teu servidor. Se us notificar&agrave; mitjan&ccedil;ant un missatge d'error si es tria la versi&oacute; incorrecta. A continuaci&oacute;, torna a la p&agrave;gina anterior i tria l'altra versi&oacute;. Si no hi ha cap versi&oacute; s'estigui execuntant significa que GD no est&agrave; disponible.</dd>
+
+  <dt>Amplada i al&ccedil;ada</dt>
+
+  <dd>Mida m&agrave;xima de les miniatures. Es mant&eacute; la relaci&oacute; original d'amplada i al&ccedil;ada. Aquests valors es poden modificar a trav&eacute;s dels par&agrave;metres de configuraci&oacute; <code>tn_width</code> i <code>tn_height</code> (veure l'arxiu <span class="filename">include/config_default.inc.php</span>).</dd>
+  
+  <dt>N&uacute;mero de miniatures a crear</dt>
+
+  <dd>No tractis de miniaturitzar un nombre massa gran d'imatges alhora. Cal tenir en compte que el tractament de miniatures requereix un alt &uacute;s de CPU. Si la teva galeria Piwigo est&agrave; allotjada en un servidor gratuit, un important &uacute;s de la CPU pot implicar que directament t'eliminin la teva galeria.</dd>
+
+  <dt>Mides d'arxius</dt>
+
+  <dd>Les miniatures s&oacute;n creades en format JPEG. Nom&eacute;s es poden crear miniatures amb els formats PNG i JPEG.</dd>
+
+</dl>
Index: /trunk/language/ca_ES/help/user_list.html
===================================================================
--- /trunk/language/ca_ES/help/user_list.html	(revision 14579)
+++ /trunk/language/ca_ES/help/user_list.html	(revision 14579)
@@ -0,0 +1,23 @@
+<h2>LLista d'usuaris</h2>
+
+<p>Permet gestionar les propietats dels usuaris inscrits amb l'excepci&oacute; dels permisos, que es gestionen a trav&eacute;s d'altres seccions.</p>
+
+<h3>Afegir un usuari</h3>
+
+<p>L'administrador pot afegir usuaris manualment.</p>
+
+<h3>Llista d'usuaris</h3>
+
+<p>La llista pot ser filtrada amb el nom d'usuari (* = comod&iacute;), amb el grup o l'estat. La llista pot ser ordenada per data d'inscripci&oacute; o per nom d'usuari, de forma ascendent o descendent.</p>
+
+<p>Aquesta pantalla permet la modificaci&oacute; de diversos usuaris simult&agrave;niament:</p>
+
+<ul>
+  <li>suprimir usuaris (es necessita confirmaci&oacute;)</li>
+  <li>canviar l'estat dels usuaris</li>
+  <li>associar o dissociar grups</li>
+  <li>modificar les propietats de visualitzaci&oacute;</li>
+  <li>modificar les propietats annexes</li>
+</ul>
+
+<p>Els usuaris modificats s&oacute;n aquells usuaris seleccionats (per defecte) o la totalitat de la llista filtrada.</p>