Index: /extensions/ExtendedDescription/language/ca_ES/description.txt
===================================================================
--- /extensions/ExtendedDescription/language/ca_ES/description.txt	(revision 14583)
+++ /extensions/ExtendedDescription/language/ca_ES/description.txt	(revision 14583)
@@ -0,0 +1,1 @@
+Complement que permet descripcions multiling&uuml;es, ampliar i detallar descripcions dels &agrave;lbums, ocultar &agrave;lbums, redireccionar-los...
Index: /extensions/ExtendedDescription/language/ca_ES/help.html
===================================================================
--- /extensions/ExtendedDescription/language/ca_ES/help.html	(revision 14583)
+++ /extensions/ExtendedDescription/language/ca_ES/help.html	(revision 14583)
@@ -0,0 +1,114 @@
+<h2>Extended Description (Descripci&oacute; ampliada)</h2>
+
+<h3>Descripcions multiling&uuml;es</h3>
+
+<p>Las descripciones multiling&uuml;es se hacen entre las balizas [lang=xx] y [/lang], O xx es el c&oacute;digo de la lengua (por ejemplo fr, en, es, it, de ....)
+Existen tambi&eacute;n 2 balizas especiales: [lang=default] y [lang=all]</p>
+
+<ul>
+  <li><b>Ejemplo de utilizaci&oacute;n</b>:<br>
+  <br>
+<code>[lang=default] Descripci&oacute;n por defecto [/lang]<br>
+[lang=fr] Descripci&oacute;n ello francais [/lang]<br>
+[lang=it] Descripci&oacute;n en italiano [/lang]</code>
+</li>
+</ul>
+
+<p>La descripci&oacute;n por defecto ser&aacute; utilizada si la descripci&oacute;n en la lengua del usuario no es definida.
+Si [lang=default] no existe, todo lo que est&aacute; situado aparte de las balizas de lenguas estar&aacute; considerado como descripci&oacute;n por defecto.</p>
+
+<p><u>Baliza  <i>all</i></u>: Todo lo que est&aacute; situado entre las balizas [lang=all] y [/lang] ser&aacute; incluido en la descripci&oacute;n, cualquiera que sea la lengua del usuario.
+Esto es particularmente pr&aacute;ctico para incluir del c&oacute;digo html o javascript en una descripci&oacute;n.</p>
+
+
+<h3>Descripciones extensas</h3>
+
+<p>Las balizas de descripci&oacute;n extensa permiten tener una descripci&oacute;n reducida para la presentaci&oacute;n de una categor&iacute;a,
+ una descripci&oacute;n extendida para la descripci&oacute;n que se exhibe sobre la p&aacute;gina de la categor&iacute;a,
+ o dos descripciones diferentes sobre la p&aacute;gina de la categor&iacute;a.</p>
+
+<p>La baliza &lt;!--more--&gt; permite a&ntilde;adir del texto a la descripci&oacute;n reducida.<br>
+La baliza &lt;!--complete--&gt; permite tener 2 descripciones distintas.<br>
+La baliza &lt;!--up-down--&gt; Permite tener una descripci&oacute;n alta y un descrition bajo.</p>
+
+<ul>
+  <li><b>Baliza &lt;!--more--&gt;</b></li>
+</ul>
+<code>descripci&oacute;n reducida &lt;!--more--&gt; descripci&oacute;n detallada</code>
+<p>S&oacute;lo la descripci&oacute;n reducida ser&aacute; fijada para la presentaci&oacute;n de la categor&iacute;a.
+Sobre la categor&iacute;a misma, la descripci&oacute;n ser&aacute; la descripci&oacute;n reducida + la descripci&oacute;n detallada.</p>
+
+<ul>
+  <li><b>Baliza &lt;!--complete--&gt;</b></li>
+</ul>
+<code>descripci&oacute;n reducida &lt;!--complete--&gt; descripci&oacute;n detallada</code>
+<p>S&oacute;lo la descripci&oacute;n reducida ser&aacute; fijada para la presentaci&oacute;n de la categor&iacute;a.
+En cambio, sobre la categor&iacute;a misma, la descripci&oacute;n &uacute;nicamente ser&aacute; la descripci&oacute;n detallada, es decir 2 descripciones diferentes.</p>
+
+<ul>
+  <li><b>Baliza &lt;!--up-down--&gt;</b></li>
+</ul>
+<code>descripci&oacute;n alta &lt;!--up-down--&gt; descripci&oacute;n baja</code>
+<p>S&oacute;lo la descripci&oacute;n alta ser&aacute; fijada para la presentaci&oacute;n de la categor&iacute;a.
+Sobre la categor&iacute;a misma, la descripci&oacute;n alta ser&aacute; fijada por encima de las miniaturas, mientras que
+ la descripci&oacute;n baja sea fijada debajo (en el emplazamiento normal de la descripci&oacute;n).</p>
+
+
+<h3>Insertar una categor&iacute;a o una imagen</h3>
+
+<ul>
+  <li><b>Baliza [cat=xx]</b></li>
+</ul>
+<p>Esta baliza permite insertar una categor&iacute;a en la descripci&oacute;n, con xx el n&uacute;mero de la categor&iacute;a</p>
+
+<ul>
+  <li><b>Baliza [img=xx1 xx2 xxN;yyyy;name]</b></li>
+</ul>
+<p>Esta baliza permite insertar una imagen en la descripci&oacute;n, con:<br><br>
+- xx El n&uacute;mero de la imagen; Es posible precisar el n&uacute;mero de la categor&iacute;a madre despu&eacute;s del n&uacute;mero de la imagen : <code>xx.ccc</code>.
+<br>
+- yyyy (facultativo) agarra o el valor <i>left</i>, sea el valor <i>right</i> y permite situar la vi&ntilde;eta de la imagen sobre la derecha o la izquierda.</p>
+- nombre (facultativo) sea toma el valor <i>nombre</i>, sea el valor <i>titleName</i> ; con <i>name</i> el nombre de la foto sera visualizado bajo la miniatura, con  <i>titleName</i> el nombre de la foto se informa en la etiqueta <i>&lt;title&gt;</i> de la imagen.</p>
+
+<h3>Enmascarar una categor&iacute;a</h3>
+
+<p>Ponemos la baliza <b>&lt;!--hidden--&gt;</b> En el nombre de la categor&iacute;a :<br>
+<br>
+- &Eacute;sta no ser&aacute; fijada m&aacute;s sobre la p&aacute;gina de la categor&iacute;a allegada<br>
+- Queda visible en el men&uacute; de las categor&iacute;as</p>
+
+<h3>Enmascarar una categor&iacute;a en el men&uacute;</h3>
+
+<p>Ponemos la baliza <b>&lt;!--mb-hidden--&gt;</b> en el nombre de la categor&iacute;a:<br>
+<br>
+- &Eacute;sta no ser&aacute; fijada m&aacute;s en el men&uacute; de las categor&iacute;as<br>
+- Queda visible sobre la p&aacute;gina de la categor&iacute;a allegada</p>
+
+<h3>Enmascarar una imagen</h3>
+
+<p>Ponemos la baliza <b>&lt;!--hidden--&gt;</b> en el nombre de la imagen :<br>
+<br>
+- &Eacute;sta no ser&aacute; fijada m&aacute;s sobre la p&aacute;gina de las vi&ntilde;etas<br>
+- Queda sin embargo visible en el seno de la categor&iacute;a</p>
+
+<h3>Categor&iacute;a redirigida</h3>
+
+<ul>
+<li><b>[redirect http://piwigo.org]</b></li>
+</ul>
+<p>Inserte esta etiqueta en la descripci&oacute;n de una categor&iacute;a para redirigirla a la URL que desee.</p>
+
+<ul>
+<li><b>[redirect img=xx]</b></li>
+</ul>
+<p>Redirige a la imagen de la galer&iacute;a indicada (sustituya xx por el identificador de la imagen); puede a&ntilde;adir el identificador de este modo junto a la imagen: <code>xx.ccc</code>.</p>
+
+<ul>
+<li><b>[redirect cat=xx]</b></li>
+</ul>
+<p>Redirige a una categor&iacute;a de la galer&iacute;a (sustituya xx por la categor&iacute;a).</p>
+
+<ul>
+<li><b>[redirect search=xx]</b></li>
+</ul>
+<p>Redirige a una p&aacute;gina de b&uacute;squeda de la galer&iacute;a (sustituya xx por el identificador de la b&uacute;squeda)'.</p>
Index: /extensions/ExtendedDescription/language/ca_ES/plugin.lang.php
===================================================================
--- /extensions/ExtendedDescription/language/ca_ES/plugin.lang.php	(revision 14583)
+++ /extensions/ExtendedDescription/language/ca_ES/plugin.lang.php	(revision 14583)
@@ -0,0 +1,25 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2012 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['ExtendedDesc_help'] = 'Utilitzar etiquetes ampliant la descripció...';
+$lang['This category is redirected to %s'] = 'Àlbum redirigit a %s';
+?>