Index: /trunk/language/pt_PT/help/help_misc.html
===================================================================
--- /trunk/language/pt_PT/help/help_misc.html	(revision 14590)
+++ /trunk/language/pt_PT/help/help_misc.html	(revision 14591)
@@ -1,4 +1,4 @@
-<p>Assim que você tiver criado sua galeria, modifique as propriedades padrão em <span class="pwgScreen">Administração &raquo; Configuração &raquo; Opções &raquo; Guest Settings</span>. Todo usuário novo registrado usará estas opções de configuração padrão.</p>
+<p>Assim que tiver criado a sua galeria, modifique as propriedades padr&atilde;o em <span class="pwgScreen">Administra&ccedil;&atilde;o &raquo; Configura&ccedil;&atilde;o &raquo; Op&ccedil;&otilde;es &raquo; Op&ccedil;&otilde;es de Convidado</span>. Todo o novo utilizador registado usar&aacute; estas op&ccedil;&otilde;es de configura&ccedil;&atilde;o padr&atilde;o.</p>
 
-<p>Se você tiver qualquer pergunta, a comunidade Piwigo lhe receberá de braços abertos em <a href="http://piwigo.org/forum">seu forum</a>.</p>
+<p>Se voc&ecirc; tiver qualquer pergunta, a comunidade Piwigo o receber&aacute; de bra&ccedil;os abertos no <a href="http://piwigo.org/forum">seu f&oacute;rum</a>.</p>
 
Index: /trunk/language/pt_PT/help/help_permissions.html
===================================================================
--- /trunk/language/pt_PT/help/help_permissions.html	(revision 14590)
+++ /trunk/language/pt_PT/help/help_permissions.html	(revision 14591)
@@ -1,12 +1,12 @@
-<p>Você pode proibir o acesso às categorias. Altere o modo de acesso à categoria para "privado" se você quiser gerenciar permissões.</p>
+<p>Poder&aacute; proibir o acesso &aacute;s categorias. Altere o modo de acesso &agrave; categoria para "privado" se quiser gerir permiss&otilde;es.</p>
 
-<p>Você pode tornar uma categoria privada simplesmente editando uma categoria (<span class="pwgScreen">Administração &raquo; Categorias &raquo; Gerenciar &raquo; editar</span>) ou alterando as opções em toda a árvore da categoria (<span class="pwgScreen">Administração &raquo; Categorias &raquo; Propriedades &raquo; Publico / Privado</span>).</p>
+<p>Poder&aacute; tornar uma categoria privada simplesmente editando uma categoria (<span class="pwgScreen">Administra&ccedil;&atilde;o &raquo; Categorias &raquo; Gerir &raquo; Editar</span>) ou alterando as op&ccedil;&otilde;es em toda a &aacute;rvore da categoria (<span class="pwgScreen">Administra&ccedil;&atilde;o &raquo; Categorias &raquo; Propriedades &raquo; P&uacute;blico / Privado</span>).</p>
 
-<p>Uma vez que a categoria esteja como privada, você pode gerenciar as permissões para grupos e usuários com 3 telas:</p>
+<p>Uma vez que a categoria esteja como privada, poder&aacute; gerir as permiss&otilde;es para grupos e utilizadores em 3 p&aacute;ginas:</p>
 
 <ul>
-  <li><span class="pwgScreen">Administração &raquo; Usuários &raquo; Gerenciar &raquo; ação das permissões</span> (um link por usuário)</li>
-  <li><span class="pwgScreen">Administração &raquo; Usuários &raquo; Grupos &raquo; ação das permissões</span> (um link por grupo)</li>
-  <li><span class="pwgScreen">Administração &raquo; Categorias &raquo; Gerenciar &raquo; editar ação das permissões da categoria</span> (um link por categoria)</li>
+  <li><span class="pwgScreen">Administra&ccedil;&atilde;o &raquo; Utilizadores &raquo; Gerir &raquo; a&ccedil;&atilde;o das permiss&otilde;es</span> (um link por utilizador)</li>
+  <li><span class="pwgScreen">Administra&ccedil;&atilde;o &raquo; Utilizadores &raquo; Grupos &raquo; a&ccedil;&atilde;o das permiss&otilde;es</span> (um link por grupo)</li>
+  <li><span class="pwgScreen">Administra&ccedil;&atilde;o &raquo; Categorias &raquo; Gerir &raquo; editar a&ccedil;&atilde;o das permiss&otilde;es da categoria</span> (um link por categoria)</li>
 </ul>
 
Index: /trunk/language/pt_PT/help/help_virtual_links.html
===================================================================
--- /trunk/language/pt_PT/help/help_virtual_links.html	(revision 14590)
+++ /trunk/language/pt_PT/help/help_virtual_links.html	(revision 14591)
@@ -1,6 +1,6 @@
-<p>As fotos são mostradas na categoria correspondente are displayed in the category corresponding to the file directory.</p>
+<p>As fotos s&atilde;o mostradas na categoria correspondente &agrave; pasta do ficheiro.</p>
 
-<p>Você também pode mostrar uma imagem em várias categorias, sem a necessidade de duplicar o arquivo em seu servidor. Associe a imagem a qualquer categoria na tela de edição de foto (que qualquer administrador pode ter acesso da página de foto na galeria).</p>
+<p>Tamb&eacute;m pode mostrar uma imagem em v&aacute;rias categorias, sem a necessidade de duplicar o ficheiro no seu servidor. Associe a imagem a qualquer categoria na p&aacute;gina de edi&ccedil;&atilde;o de foto (que qualquer administrador pode ter acesso da p&aacute;gina de foto na galeria).</p>
 
-<p>Categorias virtuais são baseadas neste conceito: elas não tem diretório correspondente. Crie categorias virtuais através da <span class="pwgScreen">Administração &raquo; Categorias &raquo; Gerenciar</span>.</p>
+<p>Categorias virtuais s&atilde;o baseadas neste conceito: elas n&atilde;o tem diret&oacute;rio correspondente. Crie categorias virtuais atrav&eacute;s da <span class="pwgScreen">Administra&ccedil;&atilde;o &raquo; Categorias &raquo; Gerenciar</span>.</p>
 
Index: /trunk/language/pt_PT/help/photos_add_ftp.html
===================================================================
--- /trunk/language/pt_PT/help/photos_add_ftp.html	(revision 14590)
+++ /trunk/language/pt_PT/help/photos_add_ftp.html	(revision 14591)
@@ -1,27 +1,27 @@
 <fieldset>
-  <legend>Início Rápido</legend>
+  <legend>In&iacute;cio R&aacute;pido</legend>
 
 <ol>
   <li>Crie uma pasta no seu computador.</li>  
 
-  <li>Copie algumas fotos para essa pasta, altere o tamanho das imagens para serem exibidas na internet. <em>Cuidado</em>: o nome das pastas e ficheiros deve conter apenas letras, números, "-", "_" ou ".". Não use espaços em branco nem caracteres acentuados.</li>
+  <li>Copie algumas fotos para essa pasta, altere o tamanho das imagens para serem exibidas na internet. <em>Cuidado</em>: o nome das pastas e ficheiros deve conter apenas letras, n&uacute;meros, "-", "_" ou ".". N&atilde;o use espa&ccedil;os em branco nem caracteres acentuados.</li>
 
-  <li>Com a ajuda de um programa de FTP, copie a sua pasta para a pasta "galleries" da sua instalação Piwigo.</li>
+  <li>Com a ajuda de um programa de FTP, copie a sua pasta para a pasta "galleries" da sua instala&ccedil;&atilde;o Piwigo.</li>
 
-  <li>Faça o login na sua galeria e vá até <span class="pwgScreen">Ferramentas &raquo; Miniaturas</span> para criar alguma miniatura que esteja em falta.</li>
+  <li>Fa&ccedil;a o login na sua galeria e v&aacute; at&eacute; <span class="pwgScreen">Ferramentas &raquo; Miniaturas</span> para criar alguma miniatura que esteja em falta.</li>
 
-  <li>Vá até <span class="pwgScreen">Painel Administrativo</span> e clique no botão "Sincronização Rápida".</li>
+  <li>V&aacute; at&eacute; <span class="pwgScreen">Painel Administrativo</span> e clique no bot&atilde;o "Sincroniza&ccedil;&atilde;o R&aacute;pida".</li>
 </ol>
 
-Parabéns! Você acabou de criar o primeiro álbum da sua galeria de fotos.
+Parab&eacute;ns! Voc&ecirc; acabou de criar o primeiro &aacute;lbum da sua galeria de fotos.
 
 </fieldset>
 <fieldset>
-  <legend>Organização de pastas e ficheiros</legend>
+  <legend>Organiza&ccedil;&atilde;o de pastas e ficheiros</legend>
 <ul>
 
   <li>
 
-	<p>As pastas dos álbums estão na pasta "galleries" no Piwigo. Segue aqui a árvore de diretórios de uma pequena galeria (mas usando muitos recursos) :</p>
+	<p>As pastas dos &aacute;lbums est&atilde;o na pasta "galleries" no Piwigo. Segue aqui a &aacute;rvore de pastas de uma pequena galeria (mas usando muitos recursos) :</p>
 
     <pre>
@@ -61,17 +61,17 @@
   </li>
   
-  <li>Cada pasta sob "galleries" produz um álbum. Não há limite de profundidade.</li>
+  <li>Cada pasta sob "galleries" produz um &aacute;lbum. N&atilde;o h&aacute; limite de profundidade.</li>
 
-  <li>Basicamente, um item é representado por um ficheiro. Um ficheiro pode ser um item Piwigo se a sua extensão estiver entre as possibilidades dos parâmetros de configuração <code>file_ext</code> (veja o arquivo <span class="filename">include/config_default.inc.php</span>). Um arquivo pode ser uma imagem se a sua extensão estiver entre as possibilidades dos parâmetros de configuração <code>picture_ext</code>.</li>
+  <li>Basicamente, um item &eacute; representado por um ficheiro. Um ficheiro pode ser um item Piwigo se a sua extens&atilde;o estiver entre as possibilidades dos par&acirc;metros de configura&ccedil;&atilde;o <code>file_ext</code> (veja o ficheiro <span class="filename">include/config_default.inc.php</span>). Um ficheiro pode ser uma imagem se a sua extens&atilde;o estiver entre as possibilidades dos par&acirc;metros de configura&ccedil;&atilde;o <code>picture_ext</code>.</li>
 
-  <li>Os itens fotográficos devem ter uma miniatura associada (veja a secção abaixo sobre miniaturas)</li>
+  <li>Os itens fotogr&aacute;ficos devem ter uma miniatura associada (veja a sec&ccedil;&atilde;o abaixo sobre miniaturas)</li>
 
-  <li>Os itens fotográficos podem ter um arquivo de alta definição associado. Assim como para wedding.jpg no exemplo acima. Não use prefixo nas imagens de alta definição.</li>
+  <li>Os itens fotogr&aacute;ficos podem ter um ficheiro de alta defini&ccedil;&atilde;o associado. Assim como para wedding.jpg no exemplo acima. N&atilde;o use prefixo nas imagens de alta defini&ccedil;&atilde;o.</li>
 
-  <li>Outros itens (video, sons, arquivos de texto, o que você quiser...) são por padrão representados por um ícone correspondente à extensão do nome de arquivo. Você tem a opção de associar uma miniatura e um arquivo representativo (veja video.avi no exemplo acima).</li>
+  <li>Outros itens (video, sons, arquivos de texto, o que voc&ecirc; quiser...) s&atilde;o por padr&atilde;o representados por um &iacute;cone correspondente &agrave; extens&atilde;o do nome de arquivo. Voc&ecirc; tem a op&ccedil;&atilde;o de associar uma miniatura e um ficheiro representativo (veja video.avi no exemplo acima).</li>
 
-  <li><em>Atenção</em>: o nome dos diretórios e dos arquivos devem conter apenas letras, números, "-", "_" ou ".". Não use espaço em branco e nem caracteres acentuados.</li>
+  <li><em>Aten&ccedil;&atilde;o</em>: o nome das pastas e dos ficheiros devem conter apenas letras, n&uacute;meros, "-", "_" ou ".". N&atilde;o use espa&ccedil;o em branco e nem caracteres acentuados.</li>
 
-  <li>Uma vez que os arquivos, as miniaturas e representativos estiverem corretamente alocados nos diretórios,vá até : <span class="pwgScreen">Ferramentas &raquo; Sincronizar</span></li>
+  <li>Uma vez que os ficheiros, as miniaturas e representativos estiverem corretamente alocados nas pastas,v&aacute; at&eacute; : <span class="pwgScreen">Ferramentas &raquo; Sincronizar</span></li>
 
 </ul>
@@ -84,12 +84,12 @@
   <li>Cada foto deve ter a sua miniatura.</li>
 
-  <li>As miniaturas estão armazenadas no subdiretório "thumbnail" no diretório das categorias. 
-      A miniatura tem o mesmo nome de arquivo que a foto correspondente, com <em>TN-</em> como prefixo.</li>
+  <li>As miniaturas est&atilde;o armazenadas na subpasta "thumbnail" na pasta das categorias. 
+      A miniatura tem o mesmo nome de ficheiro que a foto correspondente, com <em>TN-</em> como prefixo.</li>
 
-  <li><em>Atenção</em>: use um módulo externo para a criação das miniaturas.</li>
+  <li><em>Aten&ccedil;&atilde;o</em>: use um m&oacute;dulo externo para a cria&ccedil;&atilde;o das miniaturas.</li>
 
-  <li>Embora não seja recomendado (qualidade da imagem, carga do servidor, etc), você pode usar a página <span class="pwgScreen">Ferramentas &raquo; Miniaturas</span> para criar as miniaturas.</li>
+  <li>Embora n&atilde;o seja recomendado (qualidade da imagem, carga do servidor, etc), pode usar a p&aacute;gina <span class="pwgScreen">Ferramentas &raquo; Miniaturas</span> para criar as miniaturas.</li>
 
-  <li>Dê permissões de escrita para todas as pastas dos álbums.</li>
+  <li>D&ecirc; permiss&otilde;es de escrita para todas as pastas dos &aacute;lbums.</li>
 
 </ul>