Index: /extensions/Comments_Access_Manager/language/es_ES/help.lang.php
===================================================================
--- /extensions/Comments_Access_Manager/language/es_ES/help.lang.php	(revision 14598)
+++ /extensions/Comments_Access_Manager/language/es_ES/help.lang.php	(revision 14598)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2012 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['CM_GroupCommTitle_d'] = 'Esta opción permite especificar el grupo de usuario a quien se le va a permitir publicar comentarios cuando la galería esta configurada para no permitirle comentarios a todos.
+Por defecto la opción comentarios para todos esta deshabilitada, solo usuarios registrados pueden publicar comentarios. Con esta opción, tu puedes restringir este comportamiento por grupos específicos de usuarios. Así solo usuarios registrados y miembros de este grupo pueden publicar comentarios.
+';
+$lang['CM_GroupCommTitle'] = 'Permite comentar a un grupo de usuarios.';
+$lang['CM_ValidCommTitle'] = 'Permite comentarios sin la aprobación de un administrador';
+$lang['CM_commentTitle_d'] = 'Si Comentar para todos esta activo (autoriza a visitantes sin registro a publicar comentarios), esta opción obliga a los visitantes no registrados a introducir un apodo o nick para que el comentario sea aceptado.';
+$lang['CM_commentTitle'] = 'El Nick o apodo es obligatorio para los comentarios de los visitantes';
+?>
Index: /extensions/Comments_Access_Manager/language/es_ES/plugin.lang.php
===================================================================
--- /extensions/Comments_Access_Manager/language/es_ES/plugin.lang.php	(revision 14597)
+++ /extensions/Comments_Access_Manager/language/es_ES/plugin.lang.php	(revision 14598)
@@ -17,3 +17,5 @@
 $lang['CM_CommentsValidationOn'] = 'La opción "validación" de los comentarios esta<b style="color:red;">activada</b>';
 $lang['CM_CommentsValidationOff'] = 'La opción "validación" de los comentarios esta<b style="color:red;">desactivada</b>';
+$lang['CM_Support_txt'] = 'Soporte oficial de estos plugins o extensiones es solamente a través del foro de Piwigo <br>
+<a href="http://piwigo.org/forum/viewtopic.php?id=17577" onclick="window.open(this.href);return false;">Foro en Ingles - http://piwigo.org/forum/viewtopic.php?id=17577</a><br><br> También disponible el proyecto bugtracker: <a href="http://piwigo.org/bugs/" onclick="window.open(this.href);return false;">http://piwigo.org/bugs/</a>';
 ?>