Index: /trunk/language/ca_ES/help/notification_by_mail.html
===================================================================
--- /trunk/language/ca_ES/help/notification_by_mail.html	(revision 14607)
+++ /trunk/language/ca_ES/help/notification_by_mail.html	(revision 14607)
@@ -0,0 +1,15 @@
+<h2>Notificaci&oacute; per correu electr&ograve;nic</h2>
+
+<p>Configuraci&oacute; i gesti&oacute; de notificacions per correu electr&ograve;nic als usuaris per a informar de canvis en el lloc web.</p>
+
+<p>Aquesta pantalla consta de 3 seccions:</p>
+
+<h3>Configuraci&oacute;</h3>
+<p>Disponible nom&eacute;s per a webmasters. S'estableixen notificacions per par&agrave;metres de correu.</p>
+
+<h3>Inscripcions</h3>
+<p>Disponible nom&eacute;s per a webmasters. Es gestiona la inscripci&oacute; d'usuaris a les notificacions per correu electr&ograve;nic. Afegir usuaris a la secci&oacute; d'inscripcions per a qu&egrave; puguin rebre les corresponents notificacions.</p>
+
+<h3>Enviament</h3>
+<p>Disponible nom&eacute;s per a webmasters. Permet als administradors enviar missatges de notificaci&oacute; als usuaris subscrits.</p>
+
Index: /trunk/language/ca_ES/help/permalinks.html
===================================================================
--- /trunk/language/ca_ES/help/permalinks.html	(revision 14607)
+++ /trunk/language/ca_ES/help/permalinks.html	(revision 14607)
@@ -0,0 +1,8 @@
+<h2>Enlla&ccedil;os/Vincles permanents</h2>
+
+<p>Els enlla&ccedil;os permanents (Permalinks) s'utilitzen per fer m&eacute;s agradables les URL dels &agrave;lbums.
+Quan un &agrave;lbum cont&eacute; definit un enlla&ccedil; permanent, l'identificador de l'&agrave;lbum no requereix m&eacute;s en la URL.</p>
+
+<p>Quan un enlla&ccedil; permanent s'elimina, pot guardar-lo a l'historial d'enlla&ccedil;os permanents de manera que els enlla&ccedil;os externs a p&agrave;gines Piwigo encara funcionen. A la taula de l'historial enlla&ccedil;os permanents es pot veure la data en qu&egrave; l'enlla&ccedil; permanent s'ha eliminat, l'&uacute;ltima vegada que es va utilitzar i el nombre de vegades que s'ha utilitzat.</p>
+
+<p>Cal recordar que els enlla&ccedil;os permanents han de ser &uacute;nics per &agrave;lbum. Nom&eacute;s es poden definir una vegada en l'historial.</p>
Index: /trunk/language/ca_ES/help/photos_add_ftp.html
===================================================================
--- /trunk/language/ca_ES/help/photos_add_ftp.html	(revision 14607)
+++ /trunk/language/ca_ES/help/photos_add_ftp.html	(revision 14607)
@@ -0,0 +1,58 @@
+<fieldset>
+  <legend>Guia r&agrave;pida</legend>
+
+<ol>
+  <li>Crear un directori en el seu ordinador</li>
+
+  <li>Copieu les fotos dins d'aquest directori i canviar-ne la seva mida per a una visualitzaci&oacute; web. <em>Atenci&oacute;</em>: el nom dels directoris i arxius ha de contenir nom&eacute;s lletres, xifres, "-", "_" o ".". No hi poden haver espais en blanc ni car&agrave;cters accentuats.</li>
+
+  <li>Amb un client FTP, copiar els seus arxius en el directori "galleries" de la instal.laci&oacute; Piwigo.</li>
+
+  <li>Iniciar sessi&oacute; a la galeria.</li>
+
+  <li>Anar a <span class="pwgScreen">Administraci&oacute;</span> i clicar el bot&oacute; gros Sincronitzaci&oacute;.</li>
+</ol>
+
+<p>Felicitats! Acabes de crear el primer &agrave;lbum de la teva galeria Piwigo.</p>
+
+</fieldset>
+<fieldset>
+  <legend>Organitzaci&oacute; dels directoris i arxius</legend>
+
+<ul>
+
+  <li>
+
+    <p>Els directoris que representen els &agrave;lbums estan en el directori "galleries". Heus aqu&iacute; la jerarquia d'una galeria molt petita (per&ograve; amb moltes caracter&iacute;stiques):</p>
+  
+<pre>
+galleries
+|-- casament
+|   |-- celebracio
+|   |   |-- sortida
+|   |   |   |-- paul-alone.jpg
+|   |   |   +-- sarah-alone.jpg
+|   |   +-- arrivada
+|   |       +-- paul-and-sarah.jpg
+|   +-- festa
+|       |-- dancers001.jpg
+|       |-- dancers002.jpg
+|       +-- dancers003.jpg
++-- llumademel
+    |-- hotel.png
+    |-- video-from-plane.avi
+    +-- pwg_representative
+        +-- video-from-plane.jpg
+</pre>
+
+  </li>
+  
+  <li>A excepci&oacute; de "pwg_representative" (vegeu les explicacions a sota), cada directori en "galleries" produeix un &agrave;lbum. No hi ha l&iacute;mit quan a profunditat, &eacute;s a dir, es poden crear &agrave;lbums i sub-&agrave;lbums a voluntat.</li>
+
+  <li>B&agrave;sicament, un element est&agrave; representat per un arxiu. Un arxiu pot ser un element per a Piwigo si la seva extensi&oacute; &eacute;s entre la llista de par&agrave;metres de configuraci&oacute; <code>file_ext</code> (veure arxiu <span class="filename">include/config.inc.php</span>). Un arxiu pot ser una imatge si la seva extensi&oacute; &egrave;s entre el par&agrave;metre de configuraci&oacute; <code>picture_ext</code>.</li>
+
+  <li>No es representen amb una icona per defecte elements com ara arxius de v&iacute;deo, sons, textos d'arxius, i altres extensions. Opcionalment, es pot associar una miniatura i un arxiu de representanci&oacute; (veure el video.avi en l'exemple anterior).</li>
+
+  <li>Una vegada que les fotos estan ben col &middot; locades en els directoris, aneu a: <span class="pwgScreen">Administraci&oacute; &raquo; Eines &raquo; Sincronitzar</span></li>
+</ul>
+</fieldset>
Index: /trunk/language/ca_ES/help/search.html
===================================================================
--- /trunk/language/ca_ES/help/search.html	(revision 14607)
+++ /trunk/language/ca_ES/help/search.html	(revision 14607)
@@ -0,0 +1,23 @@
+<h2>Cerques</h2>
+
+<p>Cerca d'imatges a trav&eacute;s del conjunt de la galer&iacute;a.</p>
+
+<dl>
+
+  <dt>Cerca per paraules</dt>
+
+  <dd>Cercar una o diverses paraules entre els atributs relacionats amb les imatges de la galeria. Utilitza * com a comod&iacute; per a coincid&egrave;ncies parcials.</dd>
+  
+  <dt>Cerca per autor</dt>
+
+  <dd>Utilitza * com a comod&iacute; per a coincid&egrave;ncies parcials.</dd>
+
+  <dt>Cerca per data</dt>
+
+  <dd>Seleccioneu una data d'inici i/o una data de finalitzaci&oacute; per a realitzar la consulta. Deixar el camp de data buit, per a fer una consulta "abans". L'any en l'&uacute;ltim camp s'ha d'introduir amb format de quatre xifres (per exemple, 2012).</dd>
+
+  <dt>Cercar en els &agrave;lbums</dt>
+
+  <dd>Seleccionar l'&agrave;lbum o els &agrave;lbums a cercar. Tots els sub-&agrave;lbums poden ser cercats seleccionant l'&agrave;lbum pare.</dd>
+
+</dl>
Index: /trunk/language/ca_ES/help/site_manager.html
===================================================================
--- /trunk/language/ca_ES/help/site_manager.html	(revision 14607)
+++ /trunk/language/ca_ES/help/site_manager.html	(revision 14607)
@@ -0,0 +1,18 @@
+<h2>Llocs remots</h2>
+
+<p>Piwigo ofereix la possibilitat d'utilitzar diversos llocs per emmagatzemar els fitxers que componen la galeria. Aix&ograve; pot ser &uacute;til si el galeria est&agrave; instal&middot;lada en un espai d'emmagatzematge limitat i t&eacute; molts arxius per mostrar.</p>
+
+<ol>
+  <li>Editar un arxiu:<span class="filename">tools/create_listing_file.php</span> modificant els par&agrave;metres de la secci&oacute; com <code>$conf['prefix_thumbnail']</code> o <code>$conf['use_exif']</code>.</li>
+  <li>Per FTP, col&middot;locar els arxius <span class="filename">tools/create_listing_file.php</span> i <span class="filename">tools/create_listing_file_local.inc.php</span> (modificat) 
+del lloc remot en el mateix directori que els directoris amb els seus &agrave;lbums (com el directori <span class="filename">galleries</span> d'aquest lloc). Per exemple, dir que es pot accedir a <span class="filename">http://exemple.com/galleries/create_listing_file.php</span>.</li>
+  <li>Anar a Administraci&oacute; &raquo; Eines &raquo; Administraci&oacute; del lloc. Crear un nou lloc, per exemple <span class="filename">http://example.com/galleries</span>.</li>
+  <li>Registre d'un nou lloc remot. Hi ha 4 accions possibles:
+  <ol>
+      <li><strong>Generar la llista</strong>: llan&ccedil;a una petici&oacute; a dist&agrave;ncia per generar una llista remota d'arxius</li>
+      <li><strong>Sincronitzar:</strong> Llegeix l'arxiu remot <span class="filename">listing.xml</span> i sincronitza amb la informaci&oacute; de la base de dades</li>
+      <li><strong>Netejar</strong>: elimina l'arxiu remot <span class="filename">listing.xml</span></li>
+      <li><strong>Eliminar</strong>: eliminar el lloc (i tots els &agrave;lbums relacionats i fotografies) a la base de dades</li>
+    </ol>
+  </li>
+</ol>
Index: /trunk/language/ca_ES/help/synchronize.html
===================================================================
--- /trunk/language/ca_ES/help/synchronize.html	(revision 14607)
+++ /trunk/language/ca_ES/help/synchronize.html	(revision 14607)
@@ -0,0 +1,11 @@
+<h2>Sincronitzar</h2>
+
+<ul>
+
+  <li>Existeixen 2 tipus de sincronitzacions: de l'estructura (directoris i arxius) i metadades. Sincronitzar l'estructura consisteix en sincronitzar la jerarquia dels directoris i arxius amb la seva representaci&oacute; a la base de dades. La sincronitzaci&oacute; de metadades proporciona informaci&oacute; actualitzada com la mida del fitxer, les dimensions, EXIF o IPTC.</li>
+
+  <li>La primera sincronitzaci&oacute; a efectuar ser&agrave; la de l'estructura</li>
+
+  <li>El proc&eacute;s de sincronitzaci&oacute; pot trigar temps (depenent de la c&agrave;rrega del servidor i la quantitat d'arxius a processar), aix&iacute; que &eacute;s tamb&eacute; possible procedir individualment d'&agrave;lbum a &agrave;lbum.</li>
+
+</ul>