Index: /extensions/UserAdvManager/trunk/language/de_DE/plugin.lang.php
===================================================================
--- /extensions/UserAdvManager/trunk/language/de_DE/plugin.lang.php	(revision 14611)
+++ /extensions/UserAdvManager/trunk/language/de_DE/plugin.lang.php	(revision 14612)
@@ -337,7 +337,7 @@
 
 Dies ist eine Erinnerung, weil eine sehr lange Zeit vergangen, seit Ihrem letzten Besuch auf unserer Galerie [mygallery]. Wenn Sie nicht mehr tun wollen Ihren Zugang Konto verwenden, informieren Sie uns bitte durch eine Beantwortung dieser E-Mail. Ihr Konto wird gel';
-$lang['UAM_Default_InfoMail_Txt'] = 'Hallo [username]! Wir danken Ihnen, auf [mygallery] haben registrieren lassen.
-
-Bitte, finden Sie unten Ihre Verbindung Informationen.';
+$lang['UAM_Default_InfoMail_Txt'] = 'Hallo [username]!
+
+Sie haben wesentliche Veränderungen in Ihrem Profil auf der Galerie [mygallery]. Bitte, finden Sie die neuen Einstellungen:';
 $lang['UAM_Default_PwdRequest_Txt'] = 'Sie haben ein Passwort-Reset auf unserer Galerie anzubieten. Bitte unten Ihre neue Verbindung Einstellungen zu finden.';
 $lang['UAM_Default_RejectConnexion_Txt'] = 'Leider müssen Sie nicht Ihre Anmeldung bestätigt noch haben, so können Sie nicht schließen Sie die Galerie jetzt. Bitte überprüfen Sie Ihre E-Mail-Box. Sie sollten eine E-Mail durch die Galerie geschickt, mit einem Link zu Ihrer Bestätigung durchzuführen. Wenn nicht, wenden Sie sich bitte an den Webmaster.';
Index: /extensions/UserAdvManager/trunk/language/en_UK/plugin.lang.php
===================================================================
--- /extensions/UserAdvManager/trunk/language/en_UK/plugin.lang.php	(revision 14611)
+++ /extensions/UserAdvManager/trunk/language/en_UK/plugin.lang.php	(revision 14612)
@@ -235,7 +235,7 @@
 $lang['UAM %d users pwdreseted'] = 'Password renewal required for %d users';
 $lang['UAM_Error_Using_illegal_Kdays'] = 'Using the [Kdays] tag is allowed only if the deadline for registration confirmation limited is active. Refer to the text field in red to correct the problem.';
-$lang['UAM_Default_InfoMail_Txt'] = 'Hello [username]! Thank you to have register on [mygallery].
-
-Please, find find below your connexion information.';
+$lang['UAM_Default_InfoMail_Txt'] = 'Hello [username]!
+
+You made significant changes in your profile on the gallery [mygallery]. Please, find below your new settings:';
 $lang['UAM_Default_ConfirmMail_Txt'] = 'Hello [username]! Thank you to have register on [mygallery].
 
Index: /extensions/UserAdvManager/trunk/language/fr_FR/plugin.lang.php
===================================================================
--- /extensions/UserAdvManager/trunk/language/fr_FR/plugin.lang.php	(revision 14611)
+++ /extensions/UserAdvManager/trunk/language/fr_FR/plugin.lang.php	(revision 14612)
@@ -248,7 +248,7 @@
 $lang['UAM %d users pwdreseted'] = 'Renouvellement de mot de passe demandé pour %d utilisateurs';
 $lang['UAM_Error_Using_illegal_Kdays'] = 'L\'utilisation de la balise [Kdays] n\'est autorisée que si la limitation du délai de confirmation d\'inscription est active. Reportez vous au champ de texte en rouge pour corriger le problème.';
-$lang['UAM_Default_InfoMail_Txt'] = 'Bonjour [username] et merci de vous être inscrit sur la galerie [mygallery].
-
-Vous trouverez ci-dessous vos informations de connexion sur la galerie.';
+$lang['UAM_Default_InfoMail_Txt'] = 'Bonjour [username]!
+
+Vous avez effectué des modifications importantes de profil sur la galerie [mygallery]. Voici vos nouveaux paramètres :';
 $lang['UAM_Default_GhstReminder_Txt'] = 'Bonjour [username].
 	
Index: /extensions/UserAdvManager/trunk/language/it_IT/plugin.lang.php
===================================================================
--- /extensions/UserAdvManager/trunk/language/it_IT/plugin.lang.php	(revision 14611)
+++ /extensions/UserAdvManager/trunk/language/it_IT/plugin.lang.php	(revision 14612)
@@ -352,6 +352,7 @@
 Distinti saluti,
 l\'amministratore della galleria [mygallery] - [myurl]';
-$lang['UAM_Default_InfoMail_Txt'] = 'Ciao [username]! Grazie per esserti registrato su [mygallery]
-Qui sotto trovi le informazioni per la connessione';
+$lang['UAM_Default_InfoMail_Txt'] = 'Ciao [username]!
+
+Sono state apportate modifiche significative nel tuo profilo sul gallery [mygallery]. Per favore, di seguito troverete le nuove impostazioni:';
 $lang['UAM_Default_PwdRequest_Txt'] = 'Hai richiesto il rinnovo della password. Qui sotto trovi i nuovi dati di connessione';
 $lang['UAM_Default_RejectConnexion_Txt'] = 'Siamo spiacenti, non hai ancora confermato la registrazione, perciò non ti puoi connettere ora alla galleria. Controlla la tua casella mail. Dovresti trovare un email inviata dalla galleria, contenente un link per eseguire la conferma. Se non la trovi, contatta il webmaster.';