Index: /extensions/LLGBO2/language/pt_PT/description.txt
===================================================================
--- /extensions/LLGBO2/language/pt_PT/description.txt	(revision 14629)
+++ /extensions/LLGBO2/language/pt_PT/description.txt	(revision 14629)
@@ -0,0 +1,5 @@
+LLGBO2
+ Mostrar miniaturas e Exif sobre o bot&atilde;o. (Quando rato sobrep&otilde;e)
+ Mostrar-borda em torno de imagem.
+ -Adicionar navega&ccedil;&atilde;o na imagem.
+ Mostrar bandeira (banner) apenas na primeira p&aacute;gina e nas p&aacute;ginas adicionais.
Index: /extensions/LLGBO2/language/pt_PT/plugin.lang.php
===================================================================
--- /extensions/LLGBO2/language/pt_PT/plugin.lang.php	(revision 14629)
+++ /extensions/LLGBO2/language/pt_PT/plugin.lang.php	(revision 14629)
@@ -0,0 +1,102 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2012 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['Howto'] = 'Esta extenção define o layout da página da foto';
+$lang['Reset_To_Default'] = 'Reset dos valores por defeito';
+$lang['Step1_Title'] = 'Definições da extenção';
+$lang['Step2_Title'] = 'Definições do tipo ferramenta';
+$lang['Step3_Title'] = 'Definições da moldura';
+$lang['Step4_Title'] = 'Mostar no cabeçalho de cada página';
+$lang['Title'] = 'Parecido com GBo';
+$lang['llgbo_M_frame'] = 'Gerenciação da moldura';
+$lang['llgbo_M_header'] = 'Gerenciação da Apresentação do cabeçalho';
+$lang['llgbo_M_manage'] = 'Definições globais';
+$lang['llgbo_M_tooltip'] = 'Gerenciação da ferramenta';
+$lang['llgbo_always_displayexif'] = 'Mostrar sempre METADADOS';
+$lang['llgbo_default_navthumb'] = 'Suprimir Ant_Prox no modo standard das miniaturas';
+$lang['llgbo_dispinshadowbox'] = 'Mostar em caixa sombra-->';
+$lang['llgbo_exifunderbt'] = 'Ferramenta especial para EXIF ao sobrepor rato';
+$lang['llgbo_frame_bdcolor0'] = 'Cor da linha 1';
+$lang['llgbo_frame_bdcolor10'] = 'Cor da linha 11';
+$lang['llgbo_frame_bdcolor11'] = 'Cor da linha 12';
+$lang['llgbo_frame_bdcolor12'] = 'Cor da linha 13';
+$lang['llgbo_frame_bdcolor13'] = 'Cor da linha 14';
+$lang['llgbo_frame_bdcolor14'] = 'Cor da linha 15';
+$lang['llgbo_frame_bdcolor15'] = 'Cor da linha 16';
+$lang['llgbo_frame_bdcolor1'] = 'Cor da linha 2';
+$lang['llgbo_frame_bdcolor2'] = 'Cor da linha 3';
+$lang['llgbo_frame_bdcolor3'] = 'Cor da linha 4';
+$lang['llgbo_frame_bdcolor4'] = 'Cor da linha 5';
+$lang['llgbo_frame_bdcolor5'] = 'Cor da linha 6';
+$lang['llgbo_frame_bdcolor6'] = 'Cor da linha 7';
+$lang['llgbo_frame_bdcolor7'] = 'Cor da linha 8';
+$lang['llgbo_frame_bdcolor8'] = 'Cor da linha 9';
+$lang['llgbo_frame_bdcolor9'] = 'Cor da linha 10';
+$lang['llgbo_frame_bdsize'] = 'Largura:';
+$lang['llgbo_frame_sample'] = 'Lista de amostras';
+$lang['llgbo_frame'] = 'Gerenciar moldura em redor da foto';
+$lang['llgbo_hdShadowbox'] = 'Conformidade HD Shadowbox e navegação na imagem. <br> HD Shadowbox deve ser ativada!';
+$lang['llgbo_header_about'] = 'Mostrar cabeçalho na página Acerca ';
+$lang['llgbo_header_additional_page'] = 'Mostrar cabeçalho nas páginas adicionais';
+$lang['llgbo_header_best_rated'] = 'Mostrar cabeçalho nas páginas mais avaliadas';
+$lang['llgbo_header_category_filter_recent'] = 'Mostrar cabeçalho na página Categoria (filtrar por recentes)';
+$lang['llgbo_header_category_flat'] = 'Mostrar cabeçalho na página Categoria (opção normal)';
+$lang['llgbo_header_category_posted_monthly'] = 'Mostrar cabeçalho na página Categoria opção calendário';
+$lang['llgbo_header_category'] = 'Mostrar cabeçalho na página Categoria';
+$lang['llgbo_header_comments'] = 'Mostrar cabeçalho na página Comentários';
+$lang['llgbo_header_created_monthly_calendar'] = 'Mostrar cabeçalho na página do Calendário';
+$lang['llgbo_header_favorites'] = 'Mostrar cabeçalho na página Meus favoritos';
+$lang['llgbo_header_home'] = 'Mostrar cabeçalho na página inicial';
+$lang['llgbo_header_identification'] = 'Mostrar cabeçalho na página de identificação';
+$lang['llgbo_header_list'] = 'Mostrar cabeçalho na página do random  das fotos';
+$lang['llgbo_header_most_visited'] = 'Mostrar cabeçalho na páginas mais visitadas';
+$lang['llgbo_header_notification'] = 'Mostrar cabeçalho na página Notificação';
+$lang['llgbo_header_picture'] = 'Mostrar cabeçalho na página da foto';
+$lang['llgbo_header_recent_cats'] = 'Mostrar cabeçalho na página Categorias recentes';
+$lang['llgbo_header_recent_pics'] = 'Mostrar cabeçalho na página de fotos recentes';
+$lang['llgbo_header_register'] = 'Mostrar cabeçalho na página de Registo';
+$lang['llgbo_header_search'] = 'Mostrar cabeçalho na página de Busca';
+$lang['llgbo_header_tags'] = 'Mostrar cabeçalho na pagina de Etiquetas';
+$lang['llgbo_header'] = 'Gerênciar vista do cabeçalho';
+$lang['llgbo_info'] = '(^_^) Definições actualizadas';
+$lang['llgbo_maintain_header'] = 'Manter cabeçalho nas seguintes páginas';
+$lang['llgbo_samples'] = 'Amostras:';
+$lang['llgbo_title_frame_color'] = 'Cor do título mostrado na moldura';
+$lang['llgbo_title_frame'] = 'Mostrar o título da foto na moldura';
+$lang['llgbo_tooltip_backgroundcolor'] = 'Ferramenta para cor do fundo';
+$lang['llgbo_tooltip_bordercolor'] = 'Ferramenta para cor da borda';
+$lang['llgbo_tooltip_color'] = 'Ferramenta para cor do texto';
+$lang['llgbo_tooltip_titlecolor'] = 'Ferramenta para cor do título';
+$lang['llgbo_tooltip'] = 'Ferramentas especiais(miniaturas das fotos) ao sobrepor com o rato';
+$lang['llgbo_usemap_thumb'] = 'Mostrar miniaturas quando a navegação está activa na foto';
+$lang['llgbo_usemap'] = 'Adicionar barra de navegação na foto';
+$lang['llgo_frame_setting'] = 'Definições da moldura';
+$lang['llgo_global_setting'] = 'Página de definições globais da foto Piwigo';
+$lang['llgo_tooltip_setting'] = 'Ferramenta do título';
+$lang['llgo_tooltip_size'] = 'Ferramenta para largura da borda';
+$lang['llgo_tooltip_width'] = 'Largura da ferramenta';
+$lang['llgo_warning_setting'] = 'para usar com temas Gally, a extenção cl_conflit deve ser instalada';
+$lang['preview'] = 'Prever';
+$lang['previewsamples'] = 'Mostrar esta amostra';
+$lang['save'] = 'Salvar';
+$lang['submit'] = 'Submeter';
+?>