Index: /extensions/stripped/language/el_GR/theme.lang.php
===================================================================
--- /extensions/stripped/language/el_GR/theme.lang.php	(revision 14635)
+++ /extensions/stripped/language/el_GR/theme.lang.php	(revision 14636)
@@ -2,5 +2,4 @@
 
 $lang['Show/hide menu'] = 'Εμφάνιση/Απόκρυψη μενού';
-$lang['Description'] = 'Περιγραφή';
 $lang['Information'] = 'Πληροφορίες';
 $lang['GMap'] = 'Χάρτης';
@@ -10,10 +9,7 @@
 $lang['Animate menu']='Εφέ κίνησης στο μενού';
 $lang['Animate tabs on picture page']='Εφέ κίνησης στις καρτέλες κάτω από τις φωτογραφίες';
-$lang['Replace all icons by ALT text']='Όλα τα εικονίδια να αντικασταθούν από κείμενο';
 $lang['Force text to lowercase']='Μετατροπή όλων των χαρακτήρων στα κείμενα σε πεζούς';
 $lang['Picture page options']='Ρυθμίσεις για τις σελίδες των φωτογραφιών';
 $lang['Show image title on top of the page (after browse path)']='Ο τίτλος της φωτογραφίας να φαίνεται ψηλά, δίπλα από το τίτλο του λευκώματος';
-$lang['Show description instead of title below image']='Να φαίνεται η περιγραφή αντί για το τίτλο κάτω από τη φωτογραφία';
-$lang['Use arrows instead of navigation thumbnails']='Χρήση βελών αντί για μικρογραφίες για την περιήγηση στις φωτογραφίες';
 $lang['Show Information tab only to admins']='Η καρτέλα «πληροφορίες» να φαίνεται μόνο στους διαχειριστές';
 $lang['Image autosize options']='Ρυθμίσεις αυτόματης προσαρμογής των διαστάσεων των φωτογραφιών';
@@ -24,3 +20,28 @@
 $lang['stripped Configuration updated']='οι ρυθμίσεις του θέματος «stripped» ενημερώθηκαν';
 
+$lang['1 album per row (description beside thumbnail)'] = '1 λευκώματα ανά γραμμή (περιγραφή δίπλα στη μικρογραφία)';
+$lang['2 albums per row (description beside thumbnail)'] = '3 λευκώματα ανά γραμμή (περιγραφή δίπλα στη μικρογραφία)';
+$lang['3 albums per row (description below thumbnail)'] = '3 λευκώματα ανά γραμμή (περιγραφή κατω απο τη μικρογραφία)';
+$lang['5 albums per row (no album description)'] = '5 λευκώματα ανά σειρά (χωρίς περιγραφή του άλμπουμ)';
+$lang['Activate image preloading'] = 'Ενεργοποίηση της εικόνας προφόρτισης';
+$lang['Album list layout'] = 'Διάταξη λίστας λευκωμάτων';
+$lang['Default tab to be displayed'] = 'Προεπιλεγμένη Καρτέλα να εμφανίζεται';
+$lang['Display frame around albums'] = 'Εμφάνιση πλαισίου γύρω από τα λευκώματα';
+$lang['Display frame around image'] = 'Εμφάνιση πλαισίου γύρω από την εικόνα';
+$lang['Display frame around thumbnails'] = 'Εμφάνιση πλαισίου γύρω από τις μικρογραφίες';
+$lang['HD picture default display'] = 'Προεπιλεγμένη προβολή εικόνας HD';
+$lang['Image preloading options'] = 'επιλογές προφόρτωσης εικόνας';
+$lang['Interface style'] = 'Στυλ διασύνδεσης';
+$lang['Last displayed'] = 'Τελευταία εμφάνιση';
+$lang['Metadata'] = 'Μεταδεδομένα';
+$lang['On picture page, number of next images to preload'] = 'Στη σελίδα εικόνων, ο αριθμός της επόμενης εικόνας για προφόρτιση';
+$lang['Preload images on thumbnails page'] = 'Προφορτωμένες εικόνες στη σελίδα μικρογραφιών';
+$lang['Property to display below picture'] = 'Ιδιότητα να εμφανίζεται κάτω από την εικόνα';
+$lang['Show thumbnail caption'] = 'Εμφάνιση λεζάντας μικρογραφιών';
+$lang['Title'] = 'Τίτλος';
+$lang['Use navigation arrows on picture'] = 'Χρησιμοποιήστε τα βέλη πλοήγησης πάνω στην εικόνα';
+$lang['Use navigation arrows outside picture'] = 'Χρησιμοποιήστε τα βέλη πλοήγησης έξω από την εικόνα';
+$lang['fit to screen'] = 'Προσαρμογή στην οθόνη';
+$lang['full size'] = 'πλήρες μέγεθος';
+$lang['validate'] = 'επικύρωσε';
 ?>