Index: /trunk/language/el_GR/admin.lang.php
===================================================================
--- /trunk/language/el_GR/admin.lang.php	(revision 14638)
+++ /trunk/language/el_GR/admin.lang.php	(revision 14639)
@@ -331,3 +331,84 @@
 $lang['dissociate from group'] = 'Αποσυνδέστε από την ομάδα';
 $lang['email'] = 'Ηλεκτρονικό ταχυδρομείο';
+$lang['ERROR: THIS PLUGIN IS MISSING BUT IT IS INSTALLED! UNINSTALL IT NOW.'] = 'ΣΦΑΛΜΑ: ΑΥΤΟ ΤΟ ΠΡΟΣΘΕΤΟ ΛΕΙΠΕΙ ΑΛΛΑ ΕΙΝΑΙ ΕΓΚΑΤΕΣΤΗΜΕΝΟ! ΑΠΕΓΚΑΤΑΣΤΗΣΤΕ ΤΩΡΑ.';
+$lang['ERROR'] = 'ΣΦΑΛΜΑ';
+$lang['Errors caption'] = 'Λάθος λεζάντες';
+$lang['Everybody'] = 'Όλοι';
+$lang['Execution time is out, treatment must be continue [Estimated time: %d second].'] = 'Ο χρόνος εκτέλεσης έχει τελειώσει, η  επεξεργασία πρέπει να συνεχιστεί [Εκτιμώμενος χρόνος:%d δευτερόλεπτα].';
+$lang['Execution time is out, treatment must be continue [Estimated time: %d seconds].'] = 'Ο χρόνος εκτέλεσης έχει υπερβεί, η  επεξεργασία πρέπει να συνεχιστεί [Εκτιμώμενος χρόνος:%d δευτερόλεπτα].';
+$lang['Extend for templates'] = 'Ανεπτυγμένα πρότυπα';
+$lang['Extensions Update'] = 'Ενημέρωση Επεκτάσεων';
+$lang['FTP + Synchronization'] = 'Ο χρόνος εκτέλεσης έχει υπερβεί, η  επεξεργασία πρέπει να συνεχιστεί [Εκτιμώμενος χρόνος:%d δευτερόλεπτα].';
+$lang['Failed to write file to disk'] = 'Αποτυχία εγγραφής αρχείου στο δίσκο';
+$lang['File upload stopped by extension'] = 'Φόρτωση αρχείου διακόπηκε από επέκταση';
+$lang['File/directory read error'] = 'λάθος ανάγνωσης Αρχείου / Καταλόγου ';
+$lang['File'] = 'Αρχείο';
+$lang['Find a new representant by random'] = 'Βρείτε μια νεα τυχαία μικρογραφία λευκώματος';
+$lang['Follow Orientation'] = 'Ακολουθήστε Προσανατολισμό';
+$lang['Following plugins may not be compatible with the new version of Piwigo:'] = 'Τα ακόλουθα πρόσθετα μπορεί να μην είναι συμβατα με τη νέα έκδοση του Piwigo:';
+$lang['Following themes may not be compatible with the new version of Piwigo:'] = 'Τα ακόλουθα Θέματα μπορεί να μην είναι συμβατα με τη νέα έκδοση του Piwigo:';
+$lang['Forbid this language to users'] = 'Λάθος λεζάντες';
+$lang['Forbid this theme to users'] = 'σφάλματα κατά το συγχρονισμό';
+$lang['Forbidden'] = 'ήδη συγχρονισμένα φωτογραφίες';
+$lang['Form'] = 'Όλοι';
+$lang['GD library is missing'] = 'υπάρχον λεύκωμα';
+$lang['GD version'] = 'Ανεπτυγμένα πρότυπα';
+$lang['Gallery title'] = 'Ο χρόνος εκτέλεσης έχει τελειώσει, η  επεξεργασία πρέπει να συνεχιστεί [Εκτιμώμενος χρόνος:%d δευτερόλεπτα].';
+$lang['General statistics'] = 'Ενημέρωση Επεκτάσεων';
+$lang['Get Support on Piwigo Forum'] = 'Αποτυχία εγγραφής αρχείου στο δίσκο';
+$lang['Give write access (chmod 777) to "%s" directory at the root of your Piwigo installation'] = 'Φόρτωση αρχείου διακόπηκε από επέκταση';
+$lang['Go to %s or %s for more informations'] = 'λάθος ανάγνωσης Αρχείου / Καταλόγου ';
+$lang['Go to'] = 'Βρείτε μια νεα τυχαία μικρογραφία λευκώματος';
+$lang['Grant selected groups'] = 'πρώτη φωτογραφία προστέθηκε στις %s';
+$lang['Grant selected users'] = 'Ακολουθήστε Προσανατολισμό';
+$lang['Graphics Library'] = 'Τα ακόλουθα πρόσθετα μπορεί να μην είναι συμβατα με τη νέα έκδοση του Piwigo:';
+$lang['Group management'] = 'Διαχείριση Ομάδων';
+$lang['Group name'] = 'Όνομα Ομάδας';
+$lang['Group'] = 'Ομάδα';
+$lang['Groups'] = 'Ομάδες';
+$lang['Guest Settings'] = 'Ρυθμίσεις Επισκέπτη';
+$lang['Guest cannot be deleted'] = 'Επισκέπτες δεν μπορούν να διαγραφούν';
+$lang['Guests'] = 'Επισκέπτες';
+$lang['Height'] = 'Ύψος';
+$lang['Hello,'] = 'Γεια, ';
+$lang['Hello'] = 'Γεια';
+$lang['Help Me'] = 'Βοηθήστε με';
+$lang['High definition enabled'] = 'Υψηλή ευκρίνεια ενεργοποιημένη';
+$lang['High definition'] = 'Υψηλή ευκρίνεια';
+$lang['History'] = 'Ιστορικό';
+$lang['Hit'] = 'Χτυπήματα';
+$lang['Hour'] = 'Ώρες';
+$lang['I decide to update anyway'] = 'Έχω Αποφάσισει να ενημερώσω ούτως ή άλλως';
+$lang['If no HD is available and if the current websize is bigger than resize dimensions, Piwigo will move it as HD and create a downsized websize photo from it.'] = 'Εάν δεν είναι διαθέσιμη HD και αν το τρέχον μέγεθος του ιστού είναι μεγαλύτερο από τις διαστάσεις αλλαγής μεγέθους, Piwigo θα το μετατρέψει ως HD και θα δημιουργήσει μια συρρικνωμένη σε μέγεθος φωτογραφία αντί αυτού.';
+$lang['If you encounter problems or have any question, please send a message to'] = 'Εάν αντιμετωπίσετε προβλήματα ή έχετε οποιαδήποτε ερώτηση, παρακαλούμε να στείλετε ένα μήνυμα στο';
+$lang['Ignore All'] = 'Παράβλεψη όλων';
+$lang['Ignore selected anomalies'] = 'Παράβλεψη επιλεγμένων ανωμαλιών';
+$lang['Ignore this update'] = 'Αγνοήστε αυτήν την ενημερωμένη έκδοση';
+$lang['Image Quality'] = 'Ποιότητα της εικόνας';
+$lang['Image id'] = 'id εικόνας';
+$lang['Images manual order was saved'] = 'Η χειροκίνητη διάταξη εικόνων αποθηκεύτικε';
+$lang['Impossible automatic correction'] = 'Αυτόματη διόρθωση αδύνατη';
+$lang['Impossible to activate this theme, the parent theme is missing: %s'] = 'Αυτό το θέμα δεν θα μπορούσε να ενεργοποιηθεί, επειδή το θέμα της μητρικής λείπει:%s';
+$lang['Impossible to deactivate this language, first set another language as default.'] = 'Αδύνατο να απενεργοποιήσετε αυτή τη γλώσσα, ορίστε πρώτα μια άλλη γλώσσα ως προεπιλεγμένη.';
+$lang['Impossible to deactivate this language, you need at least one language.'] = 'Αδύνατο να απενεργοποιήσετε αυτή τη γλώσσα,χρειάζετε τουλάχιστον μια γλώσσα';
+$lang['Impossible to deactivate this theme, you need at least one theme.'] = 'Αδύνατο να απενεργοποιήσετε αυτό το θέμα, χρειάζετε τουλάχιστον ένα θέμα';
+$lang['Impossible to delete this theme. Other themes depends on it: %s'] = 'Αυτό το θέμα δεν μπορεί να διαγραφεί, επειδή άλλα θέματα εξαρτόνται από αυτό:%s';
+$lang['In your php.ini file, the upload_max_filesize (%sB) is bigger than post_max_size (%sB), you should change this setting'] = 'Στο αρχείο php.ini, η τιμή upload_max_filesize (%sB) είναι μεγαλύτερη από τη τιμή post_max_size (%sB), θα πρέπει να αλλάξετε αυτή τη ρύθμιση';
+$lang['Inactive Languages'] = 'Ανενεργές Γλώσσες';
+$lang['Inactive Plugins'] = 'Ανενεργά Πρόσθετα';
+$lang['Inactive Themes'] = 'Ανενεργά Θέματα';
+$lang['errors during synchronization'] = 'σφάλματα κατά το συγχρονισμό';
+$lang['even already synchronized photos'] = 'ήδη συγχρονισμένα φωτογραφίες';
+$lang['existing album'] = 'υπάρχον λεύκωμα';
+$lang['first photo added on %s'] = 'πρώτη φωτογραφία προστέθηκε στις %s';
+$lang['for the file format'] = 'ΣΦΑΛΜΑ';
+$lang['for this file format'] = 'ΣΦΑΛΜΑ: ΑΥΤΟ ΤΟ ΠΡΟΣΘΕΤΟ ΛΕΙΠΕΙ ΑΛΛΑ ΕΙΝΑΙ ΕΓΚΑΤΕΣΤΗΜΕΝΟ! ΑΠΕΓΚΑΤΑΣΤΗΣΤΕ ΤΩΡΑ.';
+$lang['global mode'] = 'Αρχείο';
+$lang['group "%s" added'] = 'Τα ακόλουθα Θέματα μπορεί να μην είναι συμβατα με τη νέα έκδοση του Piwigo:';
+$lang['group "%s" deleted'] = 'Η ομάδα "%s" διαγράφηκε';
+$lang['group "%s" updated'] = 'Η ομάδα "%s" ενημερώθηκε';
+$lang['guest'] = 'Επισκέπτης';
+$lang['height must be a number superior to'] = 'το ύψος πρέπει να είναι ένα νούμερο μεγαλύτερο από';
+$lang['hide details'] = 'απόκρυψη λεπτομερειών';
+$lang['high'] = 'υψηλό';
 ?>