Index: trunk/language/el_GR/admin.lang.php
===================================================================
--- trunk/language/el_GR/admin.lang.php	(revision 14662)
+++ trunk/language/el_GR/admin.lang.php	(revision 14672)
@@ -412,3 +412,82 @@
 $lang['hide details'] = 'απόκρυψη λεπτομερειών';
 $lang['high'] = 'υψηλό';
+$lang['IP'] = 'IP';
+$lang['Include display of recent photos grouped by dates'] = 'Συμπεριλαβάνει απεικονίσεις από πρόσφατες φωτογραφίες ομαδοποιημένες κατά ημερομηνία';
+$lang['Include history data (Warning: server memory limit may be exceeded)'] = 'Συμπεριλαμβάνει ιστορικά δεδομένων (Προσοχή: Το όριο μνήμης του διακομιστή  μπορεί να υπερβεί) ';
+$lang['Information data registered in database'] = 'Πληροφορίες για δεδομένα που έχουν καταχωρηθεί στη βάση δεδομένων';
+$lang['Informations'] = 'Πληροφορίες';
+$lang['Install on your computer,'] = 'Εγκαταστήστε στον υπολογιστή σας,';
+$lang['Installed Languages'] = 'Εγκατεστημένες γλώσσες';
+$lang['Installed Themes'] = 'Εγκατεστημένα θέματα';
+$lang['Install'] = 'Εγκατάσταση';
+$lang['Instructions to use Piwigo'] = 'Οδηγίες χρήσης Piwigo';
+$lang['Invert'] = 'Αντιστροφή';
+$lang['Keep in touch with Piwigo project, subscribe to Piwigo Announcement Newsletter. You will receive emails when a new release is available (sometimes including a security bug fix, it\'s important to know and upgrade) and when major events happen to the project. Only a few emails a year.'] = 'Μείνετε σε επαφή με το έργο του Piwigo, εγγραφείτε στο Newsletter Ανακοινώσεων του Piwigo. Θα σας αποστέλετε e-mail όταν μια νέα έκδοση είναι διαθέσιμη (μερικές φορές περιλαμβανομένων μια διώρθοση ασφαλείας, είναι σημαντικό να γνωρίζετε και να αναβαθμίσετε) και όταν συμβαίνουν σημαντικά γεγονότα για το έργο. Μόνο μερικά emails το χρόνο';
+$lang['Language has been successfully installed'] = 'Η Γλώσσα έχει εγκατασταθεί με επιτυχία';
+$lang['Languages which need upgrade'] = 'Οι Γλώσσες που χρειάζονται αναβάθμιση';
+$lang['Languages'] = 'Γλώσσες';
+$lang['Last hit'] = 'τελευταίο χτύπημα';
+$lang['Last import'] = 'Τελευταία εισαγωγή';
+$lang['Last revisions'] = 'Τελευταίες αναθεωρήσεις';
+$lang['Last send'] = 'Τελευταία αποστολή';
+$lang['Level 0'] = '---';
+$lang['Link all album photos to a new album'] = 'Σύνδεση όλων των φωτογραφιών του λευκώματος  σε ένα νέο λεύκωμα';
+$lang['Link all album photos to some existing albums'] = 'Σύνδεση όλων των φωτογραφιών του λευκώματος σε ορισμένα υφιστάμενα λευκώματα';
+$lang['Linked albums'] = 'Συνδεδεμένα λευκώματα';
+$lang['Local'] = 'Τοπική';
+$lang['Lock albums'] = 'Κλείδωμα άλμπουμ';
+$lang['Lock gallery'] = 'Κλείδωμα γκαλερί';
+$lang['Locked'] = 'Κλειδωμένο';
+$lang['Lock'] = 'Κλείδωμα';
+$lang['Mail address is obligatory for all users'] = 'Ταχυδρομική διεύθυνση είναι υποχρεωτική για όλους τους χρήστες';
+$lang['Mail content'] = 'Περιεχόμενο Αλληλογραφίας';
+$lang['Mail sent to %s [%s].'] = 'Τα μηνύματα στάλθηκαν στο %s[%s].';
+$lang['Main "guest" user does not exist'] = 'Ο κύριος χρήστης "επισκέπτης" δεν υπάρχει';
+$lang['Main "guest" user status is incorrect'] = 'Η κατάσταση κύριου χρήστη "επισκέπτης" είναι εσφαλμένη';
+$lang['Main "webmaster" user does not exist'] = 'Ο κύριος χρήστης "webmaster" δεν υπάρχει';
+$lang['Main "webmaster" user status is incorrect'] = 'H κατάσταση του κύριου χρήστη "webmaster" είναι εσφαλμένη';
+$lang['Main Page'] = 'Αρχική σελίδα';
+$lang['Main'] = 'πρωτεύων';
+$lang['Maintenance'] = 'Συντήρηση';
+$lang['Make this language available to users'] = 'Κάντε αυτή η γλώσσα διαθέσημη στους χρήστες';
+$lang['Make this theme available to users'] = 'Κάντε αυτό το θέμα διαθέσημο στους χρήστες';
+$lang['Manage Permissions'] = 'Διαχείριση Δικαιωμάτων';
+$lang['Manage authorizations for selected albums'] = 'Διαχειριστείτε τις άδειες για τα επιλεγμένα λευκώματα ';
+$lang['Manage permissions for group "%s"'] = 'Διαχείριση δικαιωμάτων για την ομάδα "%s"';
+$lang['Manage permissions for user "%s"'] = 'Διαχείριση δικαιωμάτων για το χρήστη "%s"';
+$lang['Manage photo ranks'] = 'Διαχείριση κατάταξης φωτογραφιών';
+$lang['Manage tags'] = 'Διαχείριση ετικετών';
+$lang['Manage this set of %d photos'] = 'Διαχειριστείτε το σύνολο των %d φωτογραφιών';
+$lang['Manage'] = 'Διαχειριστείτε ';
+$lang['Manual order'] = 'Χειροκίνητη κατάταξη';
+$lang['Maximum Height'] = 'Μέγιστο ύψος';
+$lang['Maximum Width'] = 'Μέγιστο πλάτος';
+$lang['Members'] = 'Μέλη';
+$lang['Menu Management'] = 'Μενού';
+$lang['Merge selected tags'] = 'Συγχώνευση επιλεγμένων ετικετών';
+$lang['Merge tags'] = 'Συγχώνευση ετικετών';
+$lang['Metadata synchronization results'] = 'Αποτελέσματα συγχρονισμού Μεταδεδομένων';
+$lang['Metadata synchronized from file'] = 'Μεταδεδομένα συγχρονιζμένα από το αρχείο';
+$lang['Minimum privacy level'] = 'Ελάχιστο επίπεδο προστασίας προσωπικού απορρήτου.';
+$lang['Miscellaneous'] = 'Διάφορα';
+$lang['Missing Plugins'] = 'Λείπουν πρόσθετα';
+$lang['Missing a temporary folder'] = 'Λείπει ένας προσωρινός φάκελος';
+$lang['Modify information'] = 'Τροποποίηση πληροφορίας';
+$lang['Month'] = 'Μήνας';
+$lang['Move albums'] = 'Μετακίνηση λευκώματος';
+$lang['Move'] = 'Μετακίνηση ';
+$lang['Name'] = 'Όνομα';
+$lang['New Version'] = 'Νέα Έκδοση';
+$lang['New name'] = 'Νέο Όνομα';
+$lang['New parent album'] = 'Νέο γονικό λεύκωμα';
+$lang['New photos added'] = 'Νέες φωτογραφίες προστέθηκαν';
+$lang['New photos were added'] = 'Νέες φωτογραφίες προστέθηκαν';
+$lang['New tag'] = 'Νέα ετικέτα';
+$lang['include child albums'] = 'περιλαμβάνουν υπο-λευκώματα';
+$lang['jump to album'] = 'μετάβαση στο λεύκωμα';
+$lang['jump to photo'] = 'μετάβαση στη φωτογραφία';
+$lang['leave'] = 'αποχωρεί';
+$lang['manage album photos'] = 'διαχειριστείτε τα λευκώματα φωτογραφιών';
+$lang['manage sub-albums'] = 'διαχείριση υπο-λευκώματα ';
+$lang['manual order'] = 'χειροκίνητη κατάταξη';
 ?>